[BLFS Trac] #2833: gperf required by a2ps-4.14

BLFS Trac trac at linuxfromscratch.org
Wed Feb 11 10:11:42 PST 2009


#2833: gperf required by a2ps-4.14
--------------------+-------------------------------------------------------
 Reporter:  thomas  |       Owner:  blfs-book@…                   
     Type:  defect  |      Status:  new                           
 Priority:  normal  |   Milestone:  6.4                           
Component:  BOOK    |     Version:  SVN                           
 Severity:  normal  |    Keywords:                                
--------------------+-------------------------------------------------------
 configure of a2ps failed with
 {{{
 ...
 checking for gcc option to accept ISO C89... (cached) none needed
 checking dependency style of gcc... (cached) gcc3
 checking for function prototypes... yes
 checking for bison... bison -y
 checking how to suppress newlines using echo... option
 checking for gperf... no
 configure: error: Could not find gperf
 WARNING: Failure in a2ps
 }}}

 After installing gperf-3.0.4 configure writes

 {{{
 ...
 checking how to suppress newlines using echo... option
 checking for gperf... /usr/bin/gperf
 checking for gperf - version >= 2.7... no
 ...
 }}}
 /* Note the NO at the version check */

 Checking the config.log shows a completely damaged test source code.
 Adding a
 {{{
 sed -i "s;GPERF --version |;& head -n 1 |;" configure
 }}}

 fixes that.

 Anyone there who saw that too?  I'll add that to the book.

-- 
Ticket URL: <http://wiki.linuxfromscratch.org/blfs/ticket/2833>
BLFS Trac <http://wiki.linuxfromscratch.org/blfs>
Beyond Linux From Scratch



More information about the blfs-book mailing list